Skip to main content
GET
/
v1
/
refunds
/
{id}
Get a refund
curl --request GET \
  --url https://api.plexospay.com/v1/refunds/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "re_abc123",
  "paymentIntentId": "<string>",
  "amount": "<string>",
  "currency": "CVE",
  "status": "PENDING",
  "reason": "<string>",
  "failureCode": "<string>",
  "failureMessage": "<string>",
  "operatorRefundId": "<string>",
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Refund details

id
string
Example:

"re_abc123"

paymentIntentId
string
amount
string
currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
status
enum<string>
Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED
reason
string | null
failureCode
string | null
failureMessage
string | null
operatorRefundId
string | null
metadata
object

Arbitrary key-value metadata (max 50 keys)

createdAt
string<date-time>
updatedAt
string<date-time>